﻿DECLARE 
	 @@MatNo AS VARCHAR (max)		= @0
	,@@SourceType AS VARCHAR(max)	= @1
	,@@ProdPurpose AS VARCHAR(max)	= @2
	,@@ColorSuffix AS VARCHAR(max) 	= @3

SELECT COUNT(1) 
FROM [dbo].[TB_M_PACKING_INDICATOR]
WHERE 1=1
AND MAT_NO = @@MatNo
AND SOURCE_TYPE = @@SourceType
AND PROD_PURPOSE_CD = @@ProdPurpose
AND	PART_COLOR_SFX = @@ColorSuffix
AND DOCK_CD = @4
AND VALID_DT_FR = CONVERT(CHAR(10),CONVERT(DATETIME,LEFT(@5,10),105),101)